### GET /api/sync/ceremonies Source: https://draaiboek.draaiboek-online.nu/docs Get all ceremonies available for sync ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 200 - All the syncable ceremonies **SyncableCeremony** - **id** (integer (int64)) - **code** (string) - **date** (string (date-time)) - **sync_at** (string (date-time)) - **location** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/sync/ceremonies" ``` ``` -------------------------------- ### GET /api/render/ceremonies Source: https://draaiboek.draaiboek-online.nu/docs Get all ceremonies available for rendering ```markdown ### Responses #### 200 - All the renderable ceremonies **RenderableCeremony** - **id** (integer (int64)) - **name** (string) - **code** (string) - **date** (string (date-time)) - **location** (string) - **blocks** (array (RenderableCeremonyBlock)) Array items: - **id** (integer (int64)) - **name** (string) - **duration** (integer (int64)) - **render_state** (string (pending|queued|rendering|failed|ready|no_content)) ("pending"|"queued"|"rendering"|"failed"|"ready"|"no_content") - **render_url** (string) - **render_checksum** (string) - **render_created_at** (string (date-time)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/render/ceremonies" ``` ``` -------------------------------- ### GET /api/ceremonies Source: https://draaiboek.draaiboek-online.nu/docs Paginate through the ceremonies ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback - **order** (string, query, optional): Ordering - **page** (integer (int64), query, optional): Page - **limit** (integer (int64), query, optional): Limit, max 250 - **filters** (array (Filtering), query, optional): For the date filter you can use the special rule 'today' Available fields: - id - name - type - code - date - duration - location_id - state_id - email_log_sparkpost_state - created_at - updated_at ### Responses #### 200 - The ceremonies **CeremonyPagination** - **data** (array (Ceremony)) Array items: - **id** (integer (int64)) - **code** (string) - **name** (string) - **date_unknown** (boolean) - **type** (string (ceremony|condolence)) ("ceremony"|"condolence") - **date** (string (date-time)) - **duration** (integer (int64)) - **attendees** (array (CeremonyAttendee)) Array items: - **name** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **total** (integer (int64)) - **per_page** (integer (int64)) - **current_page** (integer (int64)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/ceremonies?order=string&page=0&limit=0&filters=item1,item2" ``` ``` -------------------------------- ### GET /api/sync/ceremonies/{ceremonyId}/manifest Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/sync/ceremonies/{ceremonyId}/manifest ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID ### Responses #### 200 - The ceremony sync manifest **CeremonySyncManifest** - **id** (integer (int64)) - **code** (string) - **data** (object) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **files** (array (CeremonySyncManifestFile)) Array items: - **checksum** (string) - **download_url** (string) - **type** (string) - **path** (string) #### 403 - Unauthenticated Unauthenticated #### 404 - Ceremony not found or different application versions Ceremony not found or different application versions ### Example Usage ```bash curl -X GET "https://api.example.com/api/sync/ceremonies/{ceremonyId}/manifest" ``` ``` -------------------------------- ### GET /api/player/ceremonies/{ceremonyId}/{blockId}/files Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/player/ceremonies/{ceremonyId}/{blockId}/files ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **blockId** (integer (int64), path, required): Block ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 200 - The ceremony status - Array of BlockFile #### 403 - Unauthenticated Unauthenticated #### 404 - Block not found Block not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/player/ceremonies/{ceremonyId}/{blockId}/files" ``` ``` -------------------------------- ### GET /api/locations Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/locations ```markdown ### Parameters - **order** (string, query, optional): Ordering - **page** (integer (int64), query, optional): Page - **limit** (integer (int64), query, optional): Limit, max 250 - **filters** (array (Filtering), query, optional): For the date filter you can use the special rule 'today' Available fields: - id - name - type - short_name - created_at - updated_at ### Responses #### 200 - The locations **LocationPagination** - **data** (array (Location)) Array items: - **id** (integer (int64)) - **name** (integer (int64)) - **type** (string) - **short_name** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **total** (integer (int64)) - **per_page** (integer (int64)) - **current_page** (integer (int64)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/locations?order=string&page=0&limit=0&filters=item1,item2" ``` ``` -------------------------------- ### GET /api/player/ceremonies/{ceremonyId}/blocks Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/player/ceremonies/{ceremonyId}/blocks ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 200 - The ceremony status - Array of CeremonyBlock #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/player/ceremonies/{ceremonyId}/blocks" ``` ``` -------------------------------- ### GET /api/locations/{locationId} Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/locations/{locationId} ```markdown ### Parameters - **locationId** (integer (int64), path, required): Location ID ### Responses #### 200 - The location **Location** - **id** (integer (int64)) - **name** (integer (int64)) - **type** (string) - **short_name** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/locations/{locationId}" ``` ``` -------------------------------- ### GET /api/player/ceremonies/{ceremonyId}/status Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/player/ceremonies/{ceremonyId}/status ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 200 - The ceremony status **CeremonyStatus** - **active_block** (integer (int64)) - **songs_override_id** (integer (int64)) - **active_file_id** (integer (int64)) - **blocks_played** (array (integer (int64))) - **ceremony_finished** (boolean) - **state** (string) - **current_duration** (integer (int64)) - **should_repeat** (boolean) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/player/ceremonies/{ceremonyId}/status" ``` ``` -------------------------------- ### GET /api/player/ceremonies/{ceremonyId}/{blockId}/blocks Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for GET /api/player/ceremonies/{ceremonyId}/{blockId}/blocks ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **blockId** (integer (int64), path, required): Block ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 200 - The ceremony status - Array of BlockSubBlock #### 403 - Unauthenticated Unauthenticated #### 404 - Block not found Block not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/player/ceremonies/{ceremonyId}/{blockId}/blocks" ``` ``` -------------------------------- ### Security: Authorization Source: https://draaiboek.draaiboek-online.nu/docs A token must be added to the company, example: Authorization: Bearer TOKEN. This is meant to be used for API calls ```markdown ## Security: Authorization **Description:** A token must be added to the company, example: Authorization: Bearer TOKEN. This is meant to be used for API calls **Type:** apiKey ``` -------------------------------- ### GET /api/ceremonies/{ceremonyId} Source: https://draaiboek.draaiboek-online.nu/docs Return the ceremony based on the id ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 200 - The ceremony **Ceremony** - **id** (integer (int64)) - **code** (string) - **name** (string) - **date_unknown** (boolean) - **type** (string (ceremony|condolence)) ("ceremony"|"condolence") - **date** (string (date-time)) - **duration** (integer (int64)) - **attendees** (array (CeremonyAttendee)) Array items: - **name** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X GET "https://api.example.com/api/ceremonies/{ceremonyId}" ``` ``` -------------------------------- ### GET /api/sync/ceremonies/{ceremonyId} Source: https://draaiboek.draaiboek-online.nu/docs Return the ceremony as zip ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID ### Responses #### 200 - The ceremony zip #### 403 - Unauthenticated Unauthenticated #### 404 - Ceremony not found Ceremony not found ### Example Usage ```bash curl -X GET "https://api.example.com/api/sync/ceremonies/{ceremonyId}" ``` ``` -------------------------------- ### POST /api/ceremonies/{ceremonyId}/sync Source: https://draaiboek.draaiboek-online.nu/docs Sync the ceremony ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 204 - Ceremony synced Empty response body #### 403 - Unauthenticated Unauthenticated #### 409 - Already syncing Already syncing ### Example Usage ```bash curl -X POST "https://api.example.com/api/ceremonies/{ceremonyId}/sync" ``` ``` -------------------------------- ### POST /api/player/blocks/resume Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/blocks/resume ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (required): Block id ### Responses #### 204 - Resumed block Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/blocks/resume" \ -H "Content-Type: application/json" \ -d '{ "id": "0" }' ``` ``` -------------------------------- ### Schema: InviteUserBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for InviteUserBody ```markdown ## Schema: InviteUserBody Schema definition for InviteUserBody **Type:** object - **email** (string (email)) (required) - **role** (string (generalManager|musicManager|staff)) (required) ("generalManager"|"musicManager"|"staff") ``` -------------------------------- ### Schema: User Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for User ```markdown ## Schema: User Schema definition for User **Type:** object - **id** (integer (int64)) - **name** (string) - **phone** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: ResumeBlockBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for ResumeBlockBody ```markdown ## Schema: ResumeBlockBody Schema definition for ResumeBlockBody **Type:** object - **id** (integer (int64)) (required): Block id ``` -------------------------------- ### Schema: RenderableCeremony Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for RenderableCeremony ```markdown ## Schema: RenderableCeremony Schema definition for RenderableCeremony **Type:** object - **id** (integer (int64)) - **name** (string) - **code** (string) - **date** (string (date-time)) - **location** (string) - **blocks** (array (RenderableCeremonyBlock)) Array items: - **id** (integer (int64)) - **name** (string) - **duration** (integer (int64)) - **render_state** (string (pending|queued|rendering|failed|ready|no_content)) ("pending"|"queued"|"rendering"|"failed"|"ready"|"no_content") - **render_url** (string) - **render_checksum** (string) - **render_created_at** (string (date-time)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: SyncableCeremony Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for SyncableCeremony ```markdown ## Schema: SyncableCeremony Schema definition for SyncableCeremony **Type:** object - **id** (integer (int64)) - **code** (string) - **date** (string (date-time)) - **sync_at** (string (date-time)) - **location** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### POST /api/player/blocks/play Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/blocks/play ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (required): Block id - **file_id** (integer (int64)): Instant play file from block - **initial_transition_time** (integer (int64)): The transition time between blocks - **should_repeat** (boolean): Should this block be repeated - **override_song_id** (integer (int64)): Override the songs in this block with songs in any other block ### Responses #### 204 - Block played Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/blocks/play" \ -H "Content-Type: application/json" \ -d '{ "id": "0", "file_id": "0", "initial_transition_time": "0", "should_repeat": "true", "override_song_id": "0" }' ``` ``` -------------------------------- ### Schema: CreateCeremonyBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CreateCeremonyBody ```markdown ## Schema: CreateCeremonyBody Schema definition for CreateCeremonyBody **Type:** object - **name** (string) (required) - **code** (string) (required): must be unique in the application - **type** (string (ceremony|condolence)) (required) ("ceremony"|"condolence") - **location_id** (integer (int64)) (required) - **date** (string (date-time)) (required) - **duration** (integer (int64)) (required) - **attendees** (array (CreateAttendeesBody)) Array items: - **email** (string (email)) (required) - **name** (string) ``` -------------------------------- ### Schema: User token Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for UserToken ```markdown ## Schema: User token Schema definition for UserToken **Type:** object - **user** (object) - **id** (integer (int64)) - **name** (string) - **phone** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **token** (string) ``` -------------------------------- ### Schema: CeremonySyncManifestFile Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CeremonySyncManifestFile ```markdown ## Schema: CeremonySyncManifestFile Schema definition for CeremonySyncManifestFile **Type:** object - **checksum** (string) - **download_url** (string) - **type** (string) - **path** (string) ``` -------------------------------- ### POST /api/company/users/invite Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/company/users/invite ```markdown ### Request Body **Content-Type:** application/json - **email** (string (email)) (required) - **role** (string (generalManager|musicManager|staff)) (required) ("generalManager"|"musicManager"|"staff") ### Responses #### 201 - Invite sent Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/company/users/invite" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "role": "generalManager" }' ``` ``` -------------------------------- ### Schema: CreateAttendeesBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CreateAttendeesBody ```markdown ## Schema: CreateAttendeesBody Schema definition for CreateAttendeesBody **Type:** object - **email** (string (email)) (required) - **name** (string) ``` -------------------------------- ### Schema: RenderableCeremonyBlock Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for RenderableCeremonyBlock ```markdown ## Schema: RenderableCeremonyBlock Schema definition for RenderableCeremonyBlock **Type:** object - **id** (integer (int64)) - **name** (string) - **duration** (integer (int64)) - **render_state** (string (pending|queued|rendering|failed|ready|no_content)) ("pending"|"queued"|"rendering"|"failed"|"ready"|"no_content") - **render_url** (string) - **render_checksum** (string) - **render_created_at** (string (date-time)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: Access token Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for AccessToken ```markdown ## Schema: Access token Schema definition for AccessToken **Type:** object - **id** (integer (int64)) - **name** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### API Overview: Draaiboek API Source: https://draaiboek.draaiboek-online.nu/docs OpenAPI specification version 0.1 ```yaml # Draaiboek API # Version: 0.1 OpenAPI specification # Base URL: Not specified ``` -------------------------------- ### Schema: Location pagination Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for LocationPagination ```markdown ## Schema: Location pagination Schema definition for LocationPagination **Type:** object - **data** (array (Location)) Array items: - **id** (integer (int64)) - **name** (integer (int64)) - **type** (string) - **short_name** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **total** (integer (int64)) - **per_page** (integer (int64)) - **current_page** (integer (int64)) ``` -------------------------------- ### Schema: CreateAccessTokenBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CreateAccessTokenBody ```markdown ## Schema: CreateAccessTokenBody Schema definition for CreateAccessTokenBody **Type:** object - **name** (string) (required) ``` -------------------------------- ### Schema: Location Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for Location ```markdown ## Schema: Location Schema definition for Location **Type:** object - **id** (integer (int64)) - **name** (integer (int64)) - **type** (string) - **short_name** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: Ceremony pagination Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CeremonyPagination ```markdown ## Schema: Ceremony pagination Schema definition for CeremonyPagination **Type:** object - **data** (array (Ceremony)) Array items: - **id** (integer (int64)) - **code** (string) - **name** (string) - **date_unknown** (boolean) - **type** (string (ceremony|condolence)) ("ceremony"|"condolence") - **date** (string (date-time)) - **duration** (integer (int64)) - **attendees** (array (CeremonyAttendee)) Array items: - **name** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **total** (integer (int64)) - **per_page** (integer (int64)) - **current_page** (integer (int64)) ``` -------------------------------- ### POST /api/player/blocks/set-active-file Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/blocks/set-active-file ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (required): File id - **block_id** (integer (int64)) (required): Block id ### Responses #### 204 - Active file set Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/blocks/set-active-file" \ -H "Content-Type: application/json" \ -d '{ "id": "0", "block_id": "0" }' ``` ``` -------------------------------- ### POST /api/player/blocks/pause Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/blocks/pause ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (required): Block id ### Responses #### 204 - Resumed block Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/blocks/pause" \ -H "Content-Type: application/json" \ -d '{ "id": "0" }' ``` ``` -------------------------------- ### Schema: BlockFile Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for BlockFile ```markdown ## Schema: BlockFile Schema definition for BlockFile **Type:** object - **id** (integer (int64)) - **type** (integer (int64)) - **name** (string) - **path** (string) - **extension** (string) - **mime_type** (string) - **rerendering_percentage** (integer (int64)) - **size** (integer (int64)) - **width** (integer (int64)) - **height** (integer (int64)) - **duration** (integer (int64)) - **state** (integer (int64)) - **public_path** (string) - **song_name** (string) - **song_author** (string) - **song_duration** (integer (int64)) - **song_id** (integer (int64)) - **ceremony_id** (integer (int64)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: PlayBlockBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for PlayBlockBody ```markdown ## Schema: PlayBlockBody Schema definition for PlayBlockBody **Type:** object - **id** (integer (int64)) (required): Block id - **file_id** (integer (int64)): Instant play file from block - **initial_transition_time** (integer (int64)): The transition time between blocks - **should_repeat** (boolean): Should this block be repeated - **override_song_id** (integer (int64)): Override the songs in this block with songs in any other block ``` -------------------------------- ### POST /api/register Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/register ```markdown ### Request Body **Content-Type:** application/json - **email** (string (email)) (required) - **password** (string (password)) (required) - **phone** (string (phone)) - **name** (string) (required) - **company_name** (string) (required) - **referrer** (string) ### Responses #### 200 - The user and a JWT token **UserToken** - **user** (object) - **id** (integer (int64)) - **name** (string) - **phone** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **token** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/register" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "password": "string", "phone": "string", "name": "string", "company_name": "string", "referrer": "string" }' ``` ``` -------------------------------- ### Schema: Ceremony Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for Ceremony ```markdown ## Schema: Ceremony Schema definition for Ceremony **Type:** object - **id** (integer (int64)) - **code** (string) - **name** (string) - **date_unknown** (boolean) - **type** (string (ceremony|condolence)) ("ceremony"|"condolence") - **date** (string (date-time)) - **duration** (integer (int64)) - **attendees** (array (CeremonyAttendee)) Array items: - **name** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: SendCeremonyInvitesBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for SendCeremonyInvitesBody ```markdown ## Schema: SendCeremonyInvitesBody Schema definition for SendCeremonyInvitesBody **Type:** object - **cc** (array (SendCeremonyInvitesCCBody)) Array items: - **email** (string (email)) (required) - **name** (string) (required) ``` -------------------------------- ### Schema: CeremonySyncManifest Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CeremonySyncManifest ```markdown ## Schema: CeremonySyncManifest Schema definition for CeremonySyncManifest **Type:** object - **id** (integer (int64)) - **code** (string) - **data** (object) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **files** (array (CeremonySyncManifestFile)) Array items: - **checksum** (string) - **download_url** (string) - **type** (string) - **path** (string) ``` -------------------------------- ### Schema: SendCeremonyInvitesCCBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for SendCeremonyInvitesCCBody ```markdown ## Schema: SendCeremonyInvitesCCBody Schema definition for SendCeremonyInvitesCCBody **Type:** object - **email** (string (email)) (required) - **name** (string) (required) ``` -------------------------------- ### Schema: Access token with token Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for AccessTokenWithToken ```markdown ## Schema: Access token with token Schema definition for AccessTokenWithToken **Type:** object - **id** (integer (int64)) - **name** (string) - **token** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: CeremonyStatus Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CeremonyStatus ```markdown ## Schema: CeremonyStatus Schema definition for CeremonyStatus **Type:** object - **active_block** (integer (int64)) - **songs_override_id** (integer (int64)) - **active_file_id** (integer (int64)) - **blocks_played** (array (integer (int64))) - **ceremony_finished** (boolean) - **state** (string) - **current_duration** (integer (int64)) - **should_repeat** (boolean) ``` -------------------------------- ### POST /api/player/blocks/stop Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/blocks/stop ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (required): Block id ### Responses #### 204 - Resumed block Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/blocks/stop" \ -H "Content-Type: application/json" \ -d '{ "id": "0" }' ``` ``` -------------------------------- ### POST /api/external/ceremonies/{ceremonyId}/invites Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/external/ceremonies/{ceremonyId}/invites ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID ### Request Body **Content-Type:** application/json - **cc** (array (SendCeremonyInvitesCCBody)) Array items: - **email** (string (email)) (required) - **name** (string) (required) ### Responses #### 204 - Invites sent Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/external/ceremonies/{ceremonyId}/invites" \ -H "Content-Type: application/json" \ -d '{ "cc": [ "value" ] }' ``` ``` -------------------------------- ### POST /api/company/access-tokens Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/company/access-tokens ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required) ### Responses #### 201 - The access token **AccessTokenWithToken** - **id** (integer (int64)) - **name** (string) - **token** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ### Example Usage ```bash curl -X POST "https://api.example.com/api/company/access-tokens" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }' ``` ``` -------------------------------- ### Schema: CeremonyBlock Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CeremonyBlock ```markdown ## Schema: CeremonyBlock Schema definition for CeremonyBlock **Type:** object - **id** (integer (int64)) - **type** (integer (int64)) - **name** (string) - **comment** (string) - **order** (integer (int64)) - **duration** (integer (int64)) - **parent_id** (integer (int64)) - **ceremony_id** (integer (int64)) - **block_type** (integer (int64)) - **has_manual_action** (boolean) - **edit** (boolean) - **block_duration** (integer (int64)) - **total_duration** (integer (int64)) - **has_sub_blocks** (boolean) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: Filtering Source: https://draaiboek.draaiboek-online.nu/docs [{'group': [{'field': 'id','eq': 1,'or': true},{'field': 'id','eq': 2,'or': true}]},{'field': 'firstname','eq': 'Jan'}] ```markdown ## Schema: Filtering [{'group': [{'field': 'id','eq': 1,'or': true},{'field': 'id','eq': 2,'or': true}]},{'field': 'firstname','eq': 'Jan'}] **Type:** object - **field** (string): Available filter field - **or** (boolean) - **eq** (string) - **neq** (string) - **like** (string) - **in** (array (unknown)) - **lt** (integer (int64)) - **lte** (integer (int64)) - **gt** (integer (int64)) - **gte** (integer (int64)) - **group** (array (Filtering)): This is used for nesting, if a group property exists on the object only this property will be used. Array items: ``` -------------------------------- ### Schema: BlockSubBlock Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for BlockSubBlock ```markdown ## Schema: BlockSubBlock Schema definition for BlockSubBlock **Type:** object - **id** (integer (int64)) - **type** (integer (int64)) - **name** (string) - **comment** (string) - **order** (integer (int64)) - **duration** (integer (int64)) - **parent_id** (integer (int64)) - **ceremony_id** (integer (int64)) - **block_type** (integer (int64)) - **has_manual_action** (boolean) - **edit** (boolean) - **block_duration** (integer (int64)) - **total_duration** (integer (int64)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) ``` -------------------------------- ### Schema: CeremonyAttendee Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for CeremonyAttendee ```markdown ## Schema: CeremonyAttendee Schema definition for CeremonyAttendee **Type:** object - **name** (string) - **email** (string (email)) ``` -------------------------------- ### Schema: PauseBlockBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for PauseBlockBody ```markdown ## Schema: PauseBlockBody Schema definition for PauseBlockBody **Type:** object - **id** (integer (int64)) (required): Block id ``` -------------------------------- ### Schema: SetActiveFileBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for SetActiveFileBody ```markdown ## Schema: SetActiveFileBody Schema definition for SetActiveFileBody **Type:** object - **id** (integer (int64)) (required): File id - **block_id** (integer (int64)) (required): Block id ``` -------------------------------- ### POST /api/player/ceremonies/{ceremonyId}/reset Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/ceremonies/{ceremonyId}/reset ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 204 - Ceremony reset Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/ceremonies/{ceremonyId}/reset" ``` ``` -------------------------------- ### Schema: RegisterBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for RegisterBody ```markdown ## Schema: RegisterBody Schema definition for RegisterBody **Type:** object - **email** (string (email)) (required) - **password** (string (password)) (required) - **phone** (string (phone)) - **name** (string) (required) - **company_name** (string) (required) - **referrer** (string) ``` -------------------------------- ### Schema: UpdateCeremonyBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for UpdateCeremonyBody ```markdown ## Schema: UpdateCeremonyBody Schema definition for UpdateCeremonyBody **Type:** object - **name** (string) (required) - **location_id** (integer (int64)) (required) - **date** (string (date-time)) (required) - **duration** (integer (int64)) (required) - **attendees** (array (UpdateAttendeesBody)) Array items: - **email** (string (email)) (required) - **name** (string) ``` -------------------------------- ### Schema: UpdateAttendeesBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for UpdateAttendeesBody ```markdown ## Schema: UpdateAttendeesBody Schema definition for UpdateAttendeesBody **Type:** object - **email** (string (email)) (required) - **name** (string) ``` -------------------------------- ### POST /api/player/ceremonies/{ceremonyId}/stop Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/player/ceremonies/{ceremonyId}/stop ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Responses #### 204 - Ceremony stopped Empty response body #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/player/ceremonies/{ceremonyId}/stop" ``` ``` -------------------------------- ### Schema: StopBlockBody Source: https://draaiboek.draaiboek-online.nu/docs Schema definition for StopBlockBody ```markdown ## Schema: StopBlockBody Schema definition for StopBlockBody **Type:** object - **id** (integer (int64)) (required): Block id ``` -------------------------------- ### POST /api/external/ceremonies Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for POST /api/external/ceremonies ```markdown ### Parameters - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **name** (string) (required) - **code** (string) (required): must be unique in the application - **type** (string (ceremony|condolence)) (required) ("ceremony"|"condolence") - **location_id** (integer (int64)) (required) - **date** (string (date-time)) (required) - **duration** (integer (int64)) (required) - **attendees** (array (CreateAttendeesBody)) Array items: - **email** (string (email)) (required) - **name** (string) ### Responses #### 200 - The created ceremony **Ceremony** - **id** (integer (int64)) - **code** (string) - **name** (string) - **date_unknown** (boolean) - **type** (string (ceremony|condolence)) ("ceremony"|"condolence") - **date** (string (date-time)) - **duration** (integer (int64)) - **attendees** (array (CeremonyAttendee)) Array items: - **name** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X POST "https://api.example.com/api/external/ceremonies" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "code": "string", "type": "ceremony", "location_id": "0", "date": "2023-01-01T00:00:00Z", "duration": "0", "attendees": [ "value" ] }' ``` ``` -------------------------------- ### PUT /api/external/ceremonies/{ceremonyId} Source: https://draaiboek.draaiboek-online.nu/docs API endpoint for PUT /api/external/ceremonies/{ceremonyId} ```markdown ### Parameters - **ceremonyId** (integer (int64), path, required): Ceremony ID - **Accept** (string (application/json|application/creston|application/amx), header, optional): application/json is the fallback ### Request Body **Content-Type:** application/json - **name** (string) (required) - **location_id** (integer (int64)) (required) - **date** (string (date-time)) (required) - **duration** (integer (int64)) (required) - **attendees** (array (UpdateAttendeesBody)) Array items: - **email** (string (email)) (required) - **name** (string) ### Responses #### 200 - The updated ceremony **Ceremony** - **id** (integer (int64)) - **code** (string) - **name** (string) - **date_unknown** (boolean) - **type** (string (ceremony|condolence)) ("ceremony"|"condolence") - **date** (string (date-time)) - **duration** (integer (int64)) - **attendees** (array (CeremonyAttendee)) Array items: - **name** (string) - **email** (string (email)) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) #### 403 - Unauthenticated Unauthenticated ### Example Usage ```bash curl -X PUT "https://api.example.com/api/external/ceremonies/{ceremonyId}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "location_id": "0", "date": "2023-01-01T00:00:00Z", "duration": "0", "attendees": [ "value" ] }' ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.